#ifndef DEF_NHANVAT
#define DEF_NHANVAT
#include <iostream>
#include <string>
#include "VuKhi.h" //Dung quen them dong nay de su dung lop VuKhi

class NhanVat{
    public:
        NhanVat();
        NhanVat(std::string vuKhi, int dmgVuKhi);
        ~NhanVat();
        void nhanSatThuong(int soDmg);
        void tanCong(NhanVat &mucTieu);
        void uongThuocHP(int dungLuongThuoc);
        void doiVuKhi(std::string vuKhiMoi, int dmgVuKhiMoi);
        bool conSong() const;
        void inTrangThai() const;

    private:
        int m_hp;
        int m_mp;
        VuKhi m_vuKhi; //Nhan vat so huu 1 vu khi
};

#endif
