#include "NhanVat.h"
#include "VuKhi.h"
using namespace std;

NhanVat::NhanVat() : m_hp(100), m_mp(100){
}

NhanVat::NhanVat(string vuKhi, int dmgVuKhi) : m_hp(100), m_mp(100), m_vuKhi(vuKhi, dmgVuKhi){
}

NhanVat::~NhanVat(){
    /* Khong can lam gi ca vi khong co phan bo dong. Thong thuong thi doan ma xu ly nay se chua cac phep delete va thuc hien 1 vai xac nhan truoc khi huy doi tuong */
}

void NhanVat::nhanSatThuong (int soDmg){
   m_hp -= soDmg;
   //Tru di so diem hp bang dung so sat thuong phai nhan

   if (m_hp < 0){ //Tranh cho so diem hp xuong duoi 0
       m_hp = 0; //Gan cho 0 diem hp (nhan vat da chet)
   }
}

void NhanVat::tanCong(NhanVat &mucTieu){
    mucTieu.nhanSatThuong(m_vuKhi.getDmg());
    //Gay cho muc tieu muc sat thuong bang muc sat thuong cua vu khi nhan vat dang dung
}

void NhanVat::uongThuocHP(int dungLuongThuoc){
   m_hp += dungLuongThuoc;

   if (m_hp > 100){ //So luong hp khong the vuot qua 100
       m_hp = 100;
   }
}

void NhanVat::doiVuKhi(string vuKhiMoi, int dmgVuKhiMoi){
    m_vuKhi.thayDoi(vuKhiMoi, dmgVuKhiMoi);
}

bool NhanVat::conSong()const{
     return m_hp > 0; //Tra ve true neu m_hp > 0 va false neu khong dung
}

void NhanVat::inTrangThai() const {
    cout << "HP : " << m_hp << endl;
    cout << "MP : " << m_mp << endl;
    m_vuKhi.inThongTin();
}
